import traceback

#TODO use logger

def show(s: str):
    try:
        print(s)
    except:
        print("Error in log printing")

def info(s: str):
    show("[INFO] %s"%s)

def error(s: str, exp: BaseException = None):
    show("[ERROR] %s"%s)
    if exp != None:
        print(exp)

def warn(s: str):
    show("[WARN] %s"%s)
